import { ReactNode } from 'react';
/**
 * ModalWrapper
 * @param label - Label of the caller button
 * @param isOpen - Is the modal open?
 * @param onClose - Function to close the modal
 * @param children - Children of the modal
 * @constructor
 * @returns {JSX.Element}
 *
 */
type Props = {
    label?: string | null;
    isOpen: boolean;
    onClose: () => void;
    onClick?: () => void;
    icon?: React.ReactElement<any, any> | null;
    children: ReactNode;
};
/**
 *
 * @param label - Label of the caller button
 * @param isOpen - Is the modal open?
 * @param onClose - Function to close the modal
 * @param children - Children of the modal
 *
 * @returns Modal window based on the label from props
 */
declare const ModalWrapper: ({ label, isOpen, onClose, onClick, children, icon, }: Props) => import("react/jsx-runtime").JSX.Element;
export default ModalWrapper;
